// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"

namespace Dawn {
  class PlayerController : public SceneItemComponent {
    public:
      glm::vec3 velocity;
      float_t moveSpeed = 40.0f;
      float_t friction = 12.0f;

      PlayerController(SceneItem *item);

      void onStart() override;
  };
}